Bienvenue sur http://eagle-usb.org




Participer à eagle-usb.org

Vous pouvez participer à la vie collaborative de ce site et proposer vos propres articles en vous inscrivant ci-dessous. Indiquez ici votre nom et votre adresse email. Votre identifiant personnel vous parviendra rapidement, par courrier électronique.

Votre nom ou pseudo

Votre adresse email




IMPRIMER Format imprimable
Eagle-usb-1.9.6
par Benoît Audouard

Cette nouvelle version est stable pour la Mandrake 9.2 et les noyaux 2.4.x et 2.6.x et nous permet de préparer la version 2.0.0. Comme nouveautés : une meilleure intégration aux distributions (Mandrake, Debian, Gentoo, ...), un outil de configuration automatisé et internationalisé pour prendre en compte immédiatement plusieurs fournisseurs d'accès

 

Introduction


Cette version de développement du driver eagle-usb est désormais considérée suffisamment stable pour remplacer la 1.0.4 que beaucoup d'entre vous ont "subi" pendant (trop) longtemps ;-)

Cela va vous permettre d'utiliser au mieux votre modem ADSL USB comtrend ct350 / ct361, sagem fast800 / fast908 et quelques autres.

Le travail n'est pour autant pas terminé,
-  la Faq va notamment subir une refonte ces prochains temps pour intégrer les évolutions (tous les changements de nom...).
-  testconnec commencera à s'améliorer à partir de la version 2.0.0.
-  L'intégration dans Mandrake10 est en cours... si vous souhaitez intégrer le driver à une distrib', pas de problème le driver étant GPL ;-)
-  Il serait pas mal d'harmoniser les commandes utilisées pour les différents types de modems...

Bref, beaucoup de fonctionnalités encore à venir et que vous pouvez nous suggérer !

Bonne installation !

 

Pré-requis



-  kernel-source : prendre la même version que celle donnée par uname -r, vous aurez un lien /usr/src/linux vers votre kernel-source
-  gcc doit être de la même version que celle utilisée pour compiler votre kernel : comparer cat /proc/version ; gcc -v (voir la FaqDiag pour plus de détails)
-  vérifiez que vous avez aussi awk, bash, automake, autoconf (s'il vous demande aclocal à la compilation)

Attention : si vous avez un Fast 800 E2T (c'est marqué au dos), remplacer les fichiers .bnm du driver par ceux fournis sur le CDROM donné par votre ISP, sinon le modem reste à l'état "Initializing".

 

Téléchargement



-  le source est à décompresser par tar jxvf eagle-usb-1.9.6.tar.bz2 et à récupérer sur le site de baud123 ou de Tux ou encore sur la page de download de sourceforge
-  l'ebuild est mis à disposition par sl33p3r sur gna avec sa documentation d'installation à lire absolument !
-  les .deb sont dispos sur le site de mcoolive et les .rpm (pour la 2.0...) seront bientôt prêts

 

Installation


Dans une fenêtre terminal sous root (su -), décompressez l'archive, se placer dans le répertoire par la commande cd eagle-usb-1.9.6 et taper :
./configure
make uninstall
make clean
make
make install
eagleconfig
startadsl

 

Evolutions


Les évolutions notables du driver eagle-usb sont :
-  prise en compte des noyaux 2.6.x
-  configuration "automatique" pour plusieurs fournisseurs d'accès prédéfinis, en plusieurs langues
-  les commandes prennent un nouveau nom : eagle-usb (nom du module), eaglectrl, eaglestat, eaglediag, eagleconfig...
-  fonctionne si IPv6 est activé (des fois que vous ayez prévu de mettre votre frigo sur votre LAN...)
-  fonctionne mieux sur des configurations "légères" (pentium 100Mhz pour votre firewall par exemple)
-  utilisation d'un service internet pour la gestion de la connexion
-  connexion automatique au démarrage paramétrable et testconnec pour des reconnexions automatiques (en cours d'élaboration)
-  fourniture de packages deb, ebuild, rpm
-  quelques corrections de bugs...

N'hésitez pas à nous signaler si vous connaissez les paramètres pour de nouveaux fournisseurs d'accès non cités ici

Comme d'habitude vous recevrez du support sur le forum qui fonctionne sur le principe du communautaire (chacun peut aider les autres), les développeurs passent de temps en temps ;-)

Les bugs et demandes d'évolutions sont tracés sur l'Eagle Project et sa mailing-list de développement (vous pouvez nous soumettre vos patchs)

 

Intégration à Mandrake 10rc1


Pour ceux qui s'essaient à la Mandrake10rc1, recommencer la config' à partir de zéro et privilégier l'utilisation des rpm fournis par Mandrake plutôt que de recourir au source fourni ici.

Récupérer les derniers drakxtools* / harddrake / harddrake-ui / eagle-usb* (au lieu de eagle tout court) et passer en kernel-2.6.3.3mdk-1-1mdk.i586.rpm (ou un plus récent dispo sur les miroirs habituels... sunsite paraissant le plus à jour, mais le plus chargé).

J'ai ajouté une thread dédiée vu que le wiki fait peur à plus d'un ;-) l'objectif est de ne pas utiliser le kernel-source... uniquement les rpm de Mandrake et Drakconnect (voir cooker pour les bugs identifiés : non dégroupé et dégroupé avec config' échangées, ...)

Bons tests !


A SAVOIR

Sl33p3r et Tux sont les auteurs principaux des développements, ce site pour le support du driver eagle-usb fonctionnant sur le mode communautaire, vous êtes les bienvenus à contribuer (c'est ainsi que le support IPv6 a pu être intégré, par exemple).

C'est avec grand plaisir que nous vous accueillerons sur le forum, la mailing list, l'eagledev et/ou l'eagleproject... n'hésitez pas à soulever un coin du voile, en fonction de la contribution que vous souhaitez apporter à la communauté !






COMMENTAIRE(S) DE L'ARTICLE :

Forum de l'article

  • > Eagle-usb-1.9.6
    1er novembre 2004
    Ca marche sur Suse 9.1 Bravo ! !

  • > Eagle-usb-1.9.6
    18 juin 2004, par mathk

    bonjour j'ai un mode fast 800 e2t

    je comrend pas tou sur vos fichier bnm

    chez moi il sappele bmn mais ou est ce qu'il faut les copiers ? ? ?

    merci



    • > Eagle-usb-1.9.6
      20 août 2004, par Ares

      Les fichiers du Sagem fast 800 sont disponibles là : http://www.sagem.fr/web-modems/download/modems/w.2.0.31_fr.zip

      Exemple : Aprés avoir décompresser le fichier dans /tmp Copier les fichiers /tmp/w.2.0.31_fr.zip/W.2.0.31_fr/L1/IDMA/ rtbldep*.bnm

      dans le dossier : /../eagle-usb-1.9.8/driver/firmware/sagem/pots

      Abonné Cegetel (kernel 2.6.7 Mandrake 10)

      Bonne chance \1



  • > Eagle-usb-1.9.6
    3 juin 2004, par Galaad94

    Bonjour,

    Je suis sur une FEDORA Core 2... et le script ./configure refuse de trouver les source de linux.... qui pourtant sont installé... Est ce quelqu'un a déja rencontré ce type de probleme ?



    • > Eagle-usb-1.9.6
      3 juin 2004
      J'ai exactement le même pb donc si tu as des infos...

    • > Eagle-usb-1.9.6
      3 juin 2004
      Pour que le configure passe : cp /lib/modules/2.6.5-1.358/build/include/linux/version.h /usr/src/linux/include/linux cela permet au configure de déterminer la version du noyaux mais le make ne passe toujours pas

    • > Eagle-usb-1.9.6
      20 août 2004, par Ares

      Depuis une console en root :

      uname - r

      2.6.8-ADSL

      (2.6.8-ADSL c'est la version de mon kernel.)

      Créer le fichier version.h avec votre éditeur :

      #define UTS_RELEASE "2.6.8-ADSL" #define LINUX_VERSION_CODE 132616 #define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))

      Sauvegarder et copier version.h dans le dossier : /usr/src/linux/include/linux/

      Bonne chance \1



    • > Eagle-usb-1.9.6
      28 août 2004
      C'est tout bête : le driver cherche les sources dans /usr/src/linux, hors tes sources sont dans /usr/src/linux-2.x ou qqchose comme ça.
      Solution :
      $ cd /usr/src (va dans le répertoire)
      $ ln -s linux-2.x linux (crée un lien symbolique, où tu remplaces linux-2.x par le répertoire qui contient les sources et qui se trouve là).

      Et hop ! \1


  • > Eagle-usb-1.9.6
    24 mai 2004
    Salut, j'ai une MDK 10.0 official, KDE 3.2. je lis plus haut si vous avez un Fast 800 E2T changer les .hum mais ceci afin de recompiler ? ou y a - t - il moyen de faire fonctionner ce driver sans recompiler le noyau (ce que tout le monde ne sait pas faire \1 Y-a - t - il qqu'un qui ait fabriqué un patch afin de faire tourner ce model de Sagem 800 E2Tensuit, c'est quoi vous trouverez sur votre CD ? celui de Sagem ou de la mandrake ? ? ? Merci

    • > Eagle-usb-1.9.6
      31 mai 2004, par baud123

      .bnm (enfin .BNM sous windoze...) fournis sur le CD de Sagem...

      et pas besoin de recompiler son noyau, seulement le driver eagle-usb bien-sûr.



      • > Eagle-usb-1.9.6
        31 juillet 2004, par Mir-mO
        salut baud123, je suis exactement a cette phase où il faut recompiler eagle apres avoir placé les nouveaux .bnm (je les ai mis dans /etc/eagle-usb/driver/firmware/sagem/pots). le probleme c'est que sous MDK-official eagle est intégré et je suppose que c'et pour cette raison qu'il n'y a pas les ./configure, make et autre make install dans le repertoire de eagle. comment faire pour compiler dans ce cas ou bien est il possible d'en installer un autre "par dessus" celui de la distrib.. ? ? d'avance je te remercie beaucoup. Un jeune Padawan... ps : je suis chez cegetel degroupé

        • > Eagle-usb-1.9.6
          31 juillet 2004, par baud123

          Prendre la version 1.9.8 plutôt... (cf. au sommaire), le make uninstall désinstallera la version installée précédemment par Mandrake. Pour le Fast 800 E2T dans la FaqEagle ya ça aussi :

          use this alternate method : dowload latest windows drivers from sagem driver link

          cd /opt/eagle-usb-1.9.8/

          unzip $(DIR_DL)/eagle-w.2.0.31_fr.zip # where DIR_DL is the directory where you downloaded

          cp W.2.0.31_fr/L1/IDMA/rtbldep*.bnm driver/firmware/sagem/pots

          cp W.2.0.31_fr/L1/IDMA/rtbldei*.bnm driver/firmware/sagem/isdn



  • > Eagle-usb-1.9.6
    1er mai 2004

    bonjour,

    est-ce normal que l'archive des sources se termine par "tar.tar" au lieu de "tar.gz" ou "tar.bz2" ? quelle option de tar faut-il utiliser, ou carrément quelle commande ?

    merci



    • > Eagle-usb-1.9.6
      2 mai 2004, par Gabriel
      Bonjour je ne sais pas si c est normal. J' ai renomé le fichier en remplaçant le 2ieme tar par bz2 (sous kde click droit --> proprietés.) et ça marche.

      • > Eagle-usb-1.9.6
        6 mai 2004, par RItalMan

        C'est normal quand on a téléchargé à partir de windows, et que ce dernier ne sait pas que les fichiers tar.bz2 existent, faire :

        mv machine.tar.tar machine.tar.bz2

        tar xvjf machine.tar.bz2 !

         \1



  • > Eagle-usb-1.9.6
    27 avril 2004, par na
    est-ce que qqn a deja installe le driver sous Slackware (ver.9.1 kernel 2.4.22) et si oui , est-ce que je dois faire qqch de plus pour pouvoir installer correctement le modem (sagem fast 800 Wanadoo) Merci pour vos reponses \1

    • > Eagle-usb-1.9.6
      29 avril 2004, par tl
      J'ai fais l'installation sur ma slackware 8.1 avec l'eagle 1.9.6 et tout s'est relativement bien passé. J'ai fais comme indiqué ./configure, make uninstall, make clean, make, make install, eagleconfig, startadsl, Le seul souci que j'ai rencontré c'est au moment du lancement de eagleconfig, il cherchait un repertoire 'peers' dans '/etc/ppp'. Je l'ai crée et depuis, mon ADSL fonctionne à la perfexion.

  • > Eagle-usb-1.9.6
    22 avril 2004, par ray
    Après plusieures heures d'essais infructueux qui me décourage d'utiliser linux :'-) je n'arrive pas à installer le driver usb-1.9.6 pour mon comtrend CT361 avec la version 9.2 download ou 10 community de mandrake. L'installation se passe bien jusqu'au eagleconfig. J'ai un message "attente du modem opérationnel...[erreur]" . (je suis chez Neuf). Quelqu'un pourrait m'aider ? je suis désespéré et m'apprête à quitter Linux pour retourner la maison microsoft !

    • > Eagle-usb-1.9.6
      23 avril 2004, par baud123
      passe déjà par le forum \1 et copie/colle un eaglediag -ui

    • pas de panique
      14 mai 2004, par Zebulon
      Suis en fin de formation analyste programmeur et ai ramé 4 mois avant de comprendre (unix) et d'arriver à cette page ; ce WE j'essaie l'instal et te donn les résultats. Par contre "passe déjà par le forum et copie/colle un eaglediag -ui" C où et C quoi ?

      • j'ai dit une betise
        14 mai 2004
        G trouvé le forum et tous les renseignements qu'il faut. Bravo d'avance pour la somme de travail réalisé !

  • > Eagle-usb-1.9.6/Debian_ kernel2.6.5
    16 avril 2004, par jay

    Bon ben j'ai tout fait comme on m"a dit mais j'ai un probleme avec startadsl, il me dit modem not operational si je débranche le modem j'ai wakeup_ suspend_ sans arret, ca doitvenir de hotplug

    et eaglestat me donne prefirmware device



  • > Eagle-usb-1.9.6
    15 avril 2004, par djedje
    j'ai fait une tentative sous RH 9, pour l'installation , en elle même se passe normalement, jusqu'a ce que j'arrive à l'étape "eagleconfig". La console me répond que cette commande n'existe pas, alors que normalement le driver est bien installé.... a cette étape, faut il rester dans le dossier du driver ? si quelqu'un peut m'aider.... merci

    • > Eagle-usb-1.9.6
      16 avril 2004
      Il faut être root pour lancer la commande et l'avoir dans le PATH. Sinon tape le chemin absolue (normalement /usr/local/sbin/) si tu ne le connais pas tape : whereis eagleconfig

  • > Eagle-usb-1.9.6
    14 avril 2004, par Madgicos
    juste pour info : pour wanadoo adsl 128ko le MTU est 1493 et non plus 1496...

  • > Eagle-usb-1.9.6
    12 avril 2004, par Skool
    Je suis en train d'essayer de compiler ces modules pour mon fast800 mais je suis confronté à un probleme j'ai une debian sarge avec noyau 2.4.25 j'ai fait apt-get install kernel-source-2.4.25 et il m'a normalement téléchargé les sources de mon kernel, mais dans /usr/src, je n'ai QUE kernel-source-2.4.25.tar.bz2 et quand je fais ./configure sur le module, il me dit kernel sources cannot be found j'ai essayé de dézipper le tar.bz2 et fait un lien entre /usr/src/kernel-source-2.4.25 et /usr/src/linux, mais je ne peux toujours pas faire le ./configure si quelqu'un a explication, je suis preneur

    • > Eagle-usb-1.9.6
      12 avril 2004, par krimodeb
      Donne nous le nom exact de l'erreur déjà !

    • > Eagle-usb-1.9.6
      8 mai 2004, par HoMER

      Salut,

      Bien que je ne sache pas l'erreur que tu as eu, j'ai eu une erreur lors du configure me disant qu'il ne trouvait pas la version du kernel. Pour ca, fo que tu recompiles ton noyau et là y'aura un fichier version.h qui indiquera la version du kernel et hop le configure a marché.



    • > Eagle-usb-1.9.6
      3 juin 2004, par RABZA

      J'ai le meme problème ! ! \1

      ./configure loading cache ./config.cache checking for gcc... (cached) gcc checking whether the C compiler (gcc ) works... yes checking whether the C compiler (gcc ) is a cross-compiler... no checking whether we are using GNU C... (cached) yes checking whether gcc accepts -g... (cached) yes checking for a BSD compatible install... (cached) /usr/bin/install -c checking whether make sets $MAKE... (cached) yes checking for main in -lc... (cached) yes checking for dirent.h that defines DIR... (cached) yes checking for opendir in -ldir... (cached) no checking how to run the C preprocessor... (cached) gcc -E checking for ANSI C header files... (cached) yes checking for fcntl.h... (cached) yes checking for limits.h... (cached) yes checking for sys/ioctl.h... (cached) yes checking for sys/time.h... (cached) yes checking for syslog.h... (cached) yes checking for unistd.h... (cached) yes checking for working const... (cached) yes checking for off_t... (cached) yes checking for pid_t... (cached) yes checking for size_t... (cached) yes checking whether time.h and sys/time.h may both be included... (cached) yes checking whether struct tm is in sys/time.h or time.h... (cached) time.h checking for uid_t in sys/types.h... (cached) yes checking whether gcc needs -traditional... (cached) no checking return type of signal handlers... (cached) void checking for strftime... (cached) yes checking for gettimeofday... (cached) yes checking for select... (cached) yes checking for socket... (cached) yes checking for strcspn... (cached) yes checking for strdup... (cached) yes checking for strerror... (cached) yes checking for strspn... (cached) yes checking for strtol... (cached) yes checking for dhclient... (cached) dhclient checking for pppd... (cached) yes checking for pppoe... (cached) yes checking for gdialog... (cached) gdialog checking for kernel version... not found checking for hotplug... (cached) 1 checking for update-usb.usermap... (cached) 0 checking for ifup... (cached) 1 checking for adictrl... no checking for eaglectrl... no checking for showstat... no checking for eaglestat... no checking for startadsl... no checking for stopadsl... no creating ./config.status creating Makefile.common

      error : kernel-sources cannot be found !



      • > Eagle-usb-1.9.6
        28 août 2004
        Voir au-dessus, réponse déjà fournie (crée un lien symbolique /usr/src/linux pointant sur le répertoire qui contient les sources du noyau)


  • > Eagle-usb-1.9.6 - startadsl donne eth1 ? ?
    9 avril 2004, par krimodeb

    J'ai installer ce driver sur ma debian sarge et j'avoue qu'au vu de l'installation, je me suis dit sa marche tout seul ! ! Seul problème c'est que startadsl me crée une entrée eth1 avec l'ip 192.168.60.X.

    J'ai en effet deux cartes réseaux, eth1 étant intégré à ma MB. Dès que je débranche le modem ou fait un stopadsl, eth1 disparait.

    J'aimerai bien avoir quelques petites infos sur ce que peut être cette erreure.

    Merci pour votre boulot ! \1



    • > Eagle-usb-1.9.6 - startadsl donne eth1 ? ?
      11 avril 2004, par baud123

      ce n'est pas une erreur, c'est l'interface virtuelle associée au driver \1

      voir la FaqEagle pour plus de détails



      • > Eagle-usb-1.9.6 - startadsl donne eth1 ? ?
        12 avril 2004, par krimodeb
        Le vrai problème c'est que je n'avais pas de d'interface ppp0 en même temps. Pour cela, il fallait installer le paquet ipppd (apt-get install ipppd). Maintennat j'ai le net mais je dois avouer que j'ai beaucoup de deconnexion (depuis que j'ai installer un client xmule sur ma deb... bizarre).

  • > Eagle-usb-1.9.6 => pas de re-connection auto ?
    4 avril 2004, par yoyo

    salut,

    nouveau sur linux, avec mandrake 9.2 et KDE 3.x avec un modem fast 800 sous free pas degroupé en 1024. j'ai installé votre drivers Eagle-usb-1.9.6 (obligé \1 ainsi que le script de re-connexion automatique que j'ai trouvé sur votre site, voila j'ai toujours des deconnections intempestives, IMPOSSIBLE de faire tourner alors des peer2peer style amule...d'ailleurs difficile de 'surfer' tranquille, ca coupe quand ca veut. bon ok, ya toujours le stopadsl puis startadsl, mais bon...ca pu ca. existe-t-il un logiciel pour visualiser l'etat de sa connection comme sous windows ? ca serait plus qu'utile et important. cimer'



    • > Eagle-usb-1.9.6 => pas de re-connection auto ?
      9 avril 2004, par baud123

      bah arrête de pirater déjà ça coupera moins \1

      et je crois que t'as déjà trouvé le chemin vers le forum ?



      • > Eagle-usb-1.9.6 => pas de re-connection auto ?
        12 avril 2004, par krimodeb
        Bon dire sa pue c'est pas cool... Mets la main à la patte si tu peux mieux faire :'-) Sinon j'ai aussi des problèmes de deconnexions intenpestives depuis que j'ai installé xmule sous deb. Pour visualiser l'état de ta connextion, tu peux utiliser un truc style gpppkill qui permet d'observer le trafic sur tes connexions ppp.

  • > Eagle-usb-1.9.6
    2 avril 2004, par keal

    Après installation de eagle-usb-1.9.6 et apres paramétrage de ma connection avec eagleusb cela me mets uen message d'erreur lors de laz tentative deconnection ( startadsl ) voila le message : urs/local/sbin/fctStartAdsl : line 157 : pppd : command not found Connexion échoué.

    ps : je suis en club-internet dégroupé j'ai donc choisit le soluc 8 et cele marchais pas donc jai choisit la 9 et marche tjrs pas. jai essayé avec tte les possibilités pr la france et cela me mets la mm message d'erreur a chaque fois.

    aidez moi siouplait



  • > Eagle-usb-1.9.6
    1er avril 2004, par Serge_DJ

    J'ai une debian sid avec noyau 2.6.4, modem Fast800. L'installation se passe très bien \1, la connexion est OK, MAIS : au reboot, pas de reconnexion auto \1, je dois refaire manuellement : > eaglectrl -d (puis attente modem opérationnel) > startadsl

    Où il est le pb ?



    • > Eagle-usb-1.9.6
      9 avril 2004, par baud123
      connexion auto au démarrage pas opérationnelle sous Debian, bientôt...

      • > Eagle-usb-1.9.6
        16 avril 2004, par dioge

        Je suis sous Debian Sarge 2.6.4. Je crois avoir trouvé une solution provisoire pour une connexion automatique au démarrage :

        J'ai ajouté $EAGLECTRL -d à la ligne 105 de /usr/local/sbin/fctStartAdsl.

        En effet, sous Debian, hotplug n'envoie apparemment pas le DSP. J'ai donc pensé placer la commande à cet endroit.



  • > Eagle-usb-1.9.6
    31 mars 2004, par SunBoX
    Bonjour, je suis sous debian sid, avec le noyau 2.6.3, et donc je compile sans probleme les drivers adi et pppoa mais lorsque je tente une connection ( 'startadsl' ), et bien elle echoue ( je tente un ping www.free.fr mais sans succès ). J'ai repondu a l'option de configuration n°8 ( Free non-degroupé ).... SI quelqu'un peut m'aider... ( ne me dites pas de repasser par le noyau 2.4.x, c justement ce que je veux eviter ! ) \1

  • > Eagle-usb-1.9.6
    26 mars 2004, par shtrom

    Petit probleme constate avec le script d'installation ; si le repertoire /etc/ppp/peers n'existe pas, le eagleconfig ne saura pas (n'arrivera pas en fait) a installer les fichiers de configuration qu'il a genere, et il le fera savoir. Si un appel a startadsl est fait par la suite, il se plaindra de ne pas trouver le fichier de configuration /etc/ppp/peers/adsl (et pour cause). Il suffit de creer le repertoire peers et de relqncer eagleconfig. Tout marchera nickel.

    Apres de mauvais souvenirs avec les nenuphars usb, je dois avouer que ca m'a bluffe de pouvoir installer le modem aussi rapidement, beau travail !



  • > Merci , ca marche nikel :)
    21 mars 2004, par geslen

    Bonjour , je voulais juste dire que je debute sous linux , et que je me suis pris plein de fois la tete car je n arivais pas a installé mon modem !

    enfaite ce how to est tres bien fait , j ai reussi a installé mon modem facilement , en faisant exactement ce qui été dit !

    merci a tout ceux qui contribu a faire des how to pour les noobs \1



  • > Eagle-usb-1.9.6 sur RedHat 9
    19 mars 2004, par Pierre (Lyon)

    Bonjour !

    Bravo pour le travail que vous avez fait ! L'installation de cette nouvelle version du driver s'est parfaitement déroulée sur ma redhat 9. (Je suis chez Free - dégroupé...)

    J'ai longtemps fait tourné la version 1.0.4_pre5, qui ne supportait pas du tout que mon PalmZire se connecte (avec les drivers usbserial & visor) pour se synchroniser. Je n'ai plus de problèmes avec cette nouvelle version et je suis ravi \1 (J'espère que je ne parle pas trop vite !)

    Merci pour tout !



    • > Eagle-usb-1.9.6 sur MDK9.2
      20 mars 2004
      Bonjour, Toujours obligé de lancer startadsl pour connexion free en 1024. merci et à bientôt christophe

  • > Eagle-usb-1.9.6 sur SuSE 9.0
    18 mars 2004
    Félicitation pour votre travail. L'installation d'un sagem 800 sur SuSE 9.0 est très facile et fonctionne parfaitement sur noyau k_athlon-2.4.21-99. Specs :
    -  Free non dégroupé
    -  Modem sagem 800 - chiffrement du mot de passe
    -  ppoA.

    • > Eagle-usb-1.9.6 sur SuSE 9.0
      21 mars 2004

      Précision en complément du message précédant. Si vous avez une erreur lors de l'exécution du ./configure du type "sources non trouvées" allez dans /usr/src/linux et exécutez : make cloneconfig && make dep.

      Lorque vous upgradez votre noyau pensez à faire un mkinitrd avant de rebooter.

      Driver OK suite upgrade noyau : 2.4.21-199-athlon, gcc 3.3.1 et même configuration que le message précédant.



  • > Eagle-usb-1.9.6 Sous redhat 9.0
    18 mars 2004, par crae
    Bonjour je ne comprend pas lorsque je fais ./configue il me dit qu'il ne trouve pas le source kernel. Cependant quand je verifie si le package des source est installer avec "rpm -q kernel-source" le package est bien installer. Si quelqu'un peut m'aider a resoudre ce problème

    • > Eagle-usb-1.9.6 Sous redhat 9.0
      18 mars 2004, par richard
      pour contourner ce problème : kernel_source pas trouvé bien qu'installé, une solution pas très élegante mais efficace donnée sur le forum :installer d'abord le driver de chez sagem(le2.07,ADI_DRIVER) Et ensuite se tourner vers le driver 1.9.6 qui va désinstaller le driver de sagem mais qui en même temps trouve le chemin du kernel-source. Vérifié sur red hat 9.0 et sur aurox 9.2

    • > Eagle-usb-1.9.6 Sous redhat 9.0
      22 mars 2004, par Eric
      Bonjour, il suffit de faire un ln -s /usr/src/linux-version-du-noyau /usr/src/linux Tester sur Fedora Core 1.

    • > Eagle-usb-1.9.6 Sous redhat 9.0
      2 avril 2004, par jost
      il faut créer un lien vers tes sources , ou modifier la ligne par defaut du kernel dans le fichier configure : ex : KERNELSRC=/usr/src/linux (origine) KERNELSRC=/usr/src/linux-2.4.22-26mdk (mon kernel perso) @+ www.mandows.org

  • > Eagle-usb-1.9.6
    14 mars 2004, par Benjamin D

    Je viens d'installer le driver eagle 1.96 sur ma Fedora Core 1 toute fraîche et j'ai été surpris de la facilité d'installation comparé à la mise en place de la version 1.04 (sur mandrake ou debian).

    Je recommande donc son utilisation et valide son installation sur Fedora Core 1 avec noyau 2.4.22 (pour être plus précis : 2.4.22-1.2174.nptl_37.rhfc1.at).

    Encore toutes mes félicitations pour cette excellente version et ce site qui m'est venu si souvent en aide \1

    Benjamin



  • > Eagle-usb-1.9.6
    13 mars 2004, par Christophe Thill

    (Distro : Mandrake 10.0 Community)

    Personnellement je préfère le driver 1.9.6 installé à la main, plutôt que le RPM 1.9.5 de la distro. Pourquoi ? Parce que là au moins je sais à quels moments le modem doit être branché ou non. Pour moi, la démarche est donc :

    -  débrancher la prise USB du modem
    -  aller dans le répertoire eagleusb-1.9.6
    -  devenir root (su)
    -  make uninstall
    -  make clean
    -  make
    -  make install
    -  rebrancher la prise USB du modem
    -  là, si on a lancé usbview, il y a un "périphérique inconnu" qui devrait devenir "modem ADSL"
    -  eagleconfig
    -  répondre aux questions : choix du FAI, adresse IP ou mode DHCP, connexion au démarrage ou pas.
    -  là, la synchro devrait se faire (diode de gauche qui clignote puis reste allumée)
    -  startadsl pour établir la connexion

    Parce qu'il vaut toujours mieux en dire trop que pas assez...



    • incroyable ! ! !
      14 mai 2004

      Je viens de faire l'essai : tout a hyper bien commencé ! ! ! Surtout qu'en plus je debute avec les syst. Unix, j'en ai vu de toutes les couleurs avec les install... Et là à part un make uninstall qui me dit que y a pas de cible... Tout ça parce que j'ai oublié de débrancher le modem... Meme pas, j'ai continué et tout marche ! ! ! Pas un bug, pas un pb, du jamais vu. Ceux qui ont participé au developpement de ces drivers sont des Masters of The Known Universe...

      PS : bien que je tourne en P IV 2 Ghz / 512 cache L2 / 512 rim PC 800 / adsl 512 9Tel / modem comtrend ct-361 / mandrake 10.00, mes connexions sont très lentes...



  • > Eagle-usb-1.9.6
    7 mars 2004
    slt a ts j'ai un pb ! ! \1, quand je veux lance eagleconfig il me dit "this language (C) is not supported" par ailleurs au debut de linstall [install1] (je crois) il me dit "Cannot stat dsp_code_pats.bin" voila merci d'avance pour tte aide

    • > Eagle-usb-1.9.6
      8 mars 2004
      pb regle ms pas de connection kan je fe startadsl :/

      • > Eagle-usb-1.9.6
        17 mars 2004, par Mibe

        J'ai le même pbe, sur ma slackware 9.1 qd je lance eagleconfig :this language (C) is not supported.

        Comment l'as-tu corrigé ? ?



        • > Eagle-usb-1.9.6
          26 mars 2004, par shtrom

          En fait il regarde ta variable $LANG, qui par defaut sur une slack est definie a C, j'ai regle le probleme en faisant (avec un bash) : # export LANG=en

          il serait bon que le script de configuration fasse un lien entre C et en, parce que bon, c'est quand meme pareil \1



  • > Eagle-usb-1.9.6
    2 mars 2004, par seb
    j'ai testé le driver sur la knoppix 3.3 de février 2004 et les instructions pour la mandrake rc1 mes deux os installés... Aucun ne marche ! ! ! \1 Sur la knoppix, le module se charge au démarrage mais pas de synchronisation du modem...Les outils fournis ne fonctionnent pas... Sur Mandrake, la synchronisation se fait et la connection aussi mais c'est d'une lenteur infligeante ! ! ! \1 genre 14k... SVP aidez-moi ! ! ! ! \1

    • > Eagle-usb-1.9.6
      3 mars 2004, par baud123
      direction forum \1

    • Eagle-usb-1.9.6 et knoppix kaella 1.1
      4 septembre 2004

      Je vous ecris juste pour vous dire que j'ai reussi ENFIN a connecter une Knoppix avec ce sagem fast 800. J'ai fini par croire un moment que c'etait infaisable :/ Mais pourtant alors que je suis vraiment un debutant sous linux j'ai finis par y arriver... Je sais pas pourquoi mon modem est relié à eth0 mais bon apparement pas d'autres possibilitées.

      Je pense que pour les sagem dégroupés verifiez bien que vous avez une IP fixe car je l'ai decouvert par hasard \1 En fait en attente de freebox free nous en colle une sans prevenir sympa \1

      Bref j'ai configuré eagleconfig avec mon IP fixe et ça a marché alors qu'avant comme un boulet je mettais IP dynamique... Bref je suis vraiment newbie mais bon je voulais juste signaler que oui c'est possible knoppix et sagem fast 800 en usb ! ! !

      Bravo pour le boulot eagle-usb \1



  • > Eagle-usb-1.9.6
    29 février 2004, par Pitux

    ATTENTION ! ! ! ! !

    J'ai trouve pourqoui ca marchait pas ! ! ! ! En effet ca devait etre con et ca l'est ! Bon, en lancant eagleconfig vous aves une liste de choix (ds mon cas je devais essayer VPI/VCI=8/23 et VCMUX). Alors si vous faites gaffe il y a plusieurs choix pour le meme reglage ; Moi j'ai choisi l'option 8 (le truc normal !) et ca marchait pas. Alors au bord de la crise de nerfs j'ai choisi l'option 12 (12=8/23 VCMUX, mais degroupe)...et CA MARCHE ! ! ! ! ! lol.....depuis je m'eclate ! aMule j'arrive ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! ! !



  • > Eagle-usb-1.9.6
    28 février 2004

    e suis sous debian sid, gcc-3.3 et linux 2.6.1. J'utilise la version 1.9.6 du driver eagle-usb. Lorsque l'installation se termine, ou lorsque je lance la connection, si le module uhci-hcd n'est pas charge, aucun message d'erreur apparait. Je ne sais pas si c'est voulu, etant donne que le module eagle_usb semble se charger normalement . A noter que je lance usbcore, usb_eagle et maitenant uhci-hcd par /etc/modules.conf mon email : bfremon (at) yahoo fr

    ps : cliquer sur le plan du site dans la barre principale me donne une erreur 404 sous galeon 1.3.13/debian.



  • > Probleme compilation Eagle-usb-1.9.6 :-(
    28 février 2004, par thierry

    Sous Debian 3.0 package noyau 2.4.18, quand je compile ca donne

    eu_main.c :169 : unknown field `owner' specified in initializer

    eu_main.c :169 : warning : initialization from incompatible pointer type

    eu_main.c :170 : field `name' already initialized

    eu_main.c :170 : warning : initialization from incompatible pointer type

    eu_main.c :172 : field `probe' already initialized

    eu_main.c :172 : warning : excess elements in struct initializer

    eu_main.c :172 : warning : (near initialization for `eu_driver')

    make[1] : *** [eu_main.o] Error 1

    Ca marche par contre en suprimant la ligne 169 (celle avec .owner ...)



    • > Probleme compilation Eagle-usb-1.9.6 :-(
      28 février 2004
      Je sais pas si c'est ça, mais je crois que le 1.9.6 ne marche qu'avec un noyau 2.4.20 ou supérieur. Eh ! je viens de réussir de le faire marcher sous woody ! J'ai téléchargé le 2.4.25 de kernel.org et ensuite je l'ai compilé et installé à la manière debian comme dans la reference debian qu'on peut trouver sur leur site. Ensuite j'ai fait un lien /usr/src/linux -> /usr/src/linux-2.4.25, j'ai installé hotplug et gawk (je crois que c'est tout), et la compil du 1.9.6 a marchée ! Par contre je dois encore lancer eagleconfig à chaque fois que je veux me connecter et choisir le mode sans encryption. Je suis chez free 512K

  • > Pas de ping sous debian stable
    27 février 2004
    Je viens d'installer le kernel 2.4.25 et les nouveaux drivers 1.9.6 : aucun message d'erreur une fois qu'on a installé tous les packages (notamment hotplug). Je lance startadsl, il est content, mais pas de ping free.fr : Hôte inconnu. J'ai vérifié avec ifconfig que j'avais bien une nouvelle interface (eth1). J'ai essayé de remplacer le fichier /etc/ppp/option par celui de la 1.0.4 en mettant la ligne #usepeerdns en comentaire et en ajoutant les 2 servers dns dans /etc/resolv.conf et /etc/ppp/resolv.conf mais rein n'y fait. Please Help !

    • Pas de ping non plus sous Mandrake 9.1
      27 février 2004, par Pitux

      j'ai installe le driver mais je n'arive pas a piguer, le modem se synchronise rapidement, tout a l'air bien mais pas de ping. A mon avis ce n'est pas un pb de driver mais de configuration de connexion ou de dependence non satisfaite...mais ce n'est qu'une supposition.

      ...(le reste) [OK] ping Ip [KO] dns [KO]



      • > Pas de ping non plus sous Mandrake 10.0 Community
        26 mars 2004, par benouill52
        Moi aussi j'ai le même problème \1 avec le rpm 1.9.5-4, je vais tester avec le driver 1.9.6 sait-on jamais, sur un malentendu..

        • > Pas de ping non plus sous Mandrake 10.0 Community
          21 avril 2004, par mvs
          Vous avez un firewall ? Il y a peut etre jute besoin de le relancer...

    • > Pas de ping sous debian stable (ajout)
      27 février 2004, par thibaud
      Remarque : ifconfig n'affiche pas connexion pppX, c'est normal ?

      • > Pas de ping sous mepis
        28 février 2004, par jcalboc
        pas de pppo ,debutant je suis out \1

        • > Pas de ping sous mepis
          2 avril 2004, par jost
          il faut que tu installe le package rpppoe. @+ http://www.mandows.org

      • Merci sous Suse 9.0
        8 mai 2004, par A ;anas
        Inutile de dire que j'ai passer mon aprem en commeçant par les drivers sagem fast 800. Le site de léa m'a rabattu sur eagle-usb 1.0.4 avec un très bon tutotial. J'ai dû prendre la version 1.9 pour qu'elle soit compatible avec suse 9.0 ! ! ! Merci ! ! ! ! !\1

        • > Merci sous Suse 9.0
          15 mai 2004
          Jai suse 9.0 et les mêmes drivers que toi mais quand je fait eagleconfig j'ai command notfound help

        • Cas particulier Suse 9.0
          28 mai 2004, par CafeCreme
          J'utilise une carte MSI6330 K7T Pro 2A Chiptset VIA VT8363 KT133, c'est pas tout neuf, mais c'est juste pour une passerelle, alors ça me convient bien, j'ai installé SUSE linux 9.0 avec un noyau 2.4.21-215-Athlon, L'installation de Linux se passe bien apres avoir entré la commande "cloneconfig ...." dans /usr/src/linux, tout se passe bien, jusqu'au moment ou il faut brancher "HotPlug" le F@st800 et la rien ne se passe, dans USBVIEW, il affichie "device unknown", et voila, le pilote USB Chargé est USB-UHCI, hors, sur le site de léa, ils explique que c'est a priori OHCI qui devrait être chargé pour les cartes VIA, mais la non plus rien à faire ça ne marche pas, il ne veut rien d'autre que son UHCI. faut il changer de noyau, changer de matériel, changer de distribution, sachant que c'est celle qui me convient le plus, en tant qu'expert Novell c'est sentimental.